DOM::CSS2CounterReset Class Reference

`#include <css_extensions.h>`

## Public Member Functions

| CSS2CounterReset (const CSS2CounterReset &other)
| CSS2CounterReset (CSS2CounterResetImpl *impl)
CSS2CounterReset & | operator= (const CSS2CounterReset &other)
DOM::DOMString | identifier () const
void | setIdentifier (const DOM::DOMString &)
short | reset () const
void | setReset (const short)

## Detailed Description

The `CSS2CounterReset` interface represents a simple value for the counter-reset CSS Level 2 property.

Definition at line 503 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2CounterReset::identifier | ( |  | ) | const

The element name.

Definition at line 305 of file css_extensions.cpp.

short CSS2CounterReset::reset | ( |  | ) | const

The reset (default value is 0).

Definition at line 316 of file css_extensions.cpp.

void CSS2CounterReset::setIdentifier | ( | const DOM::DOMString & | value | ) |

see identifier

Exceptions

  DOMException | SYNTAX_ERR: Raised if the specified identifier has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

Definition at line 311 of file css_extensions.cpp.

void CSS2CounterReset::setReset | ( | const short | _reset | ) |

see reset

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

Definition at line 322 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys